Bug 1261408 - OpenSCAP content is not associated with any organization
OpenSCAP content is not associated with any organization
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: SCAP Plugin (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity medium (vote)
: Beta
: --
Assigned To: Shlomi Zadok
Kedar Bidarkar
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 05:19 EDT by Rich Jerrido
Modified: 2016-07-27 05:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 05:18:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 11744 None None None 2016-04-22 12:34 EDT
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 08:28:58 EDT

  None (edit)
Description Rich Jerrido 2015-09-09 05:19:19 EDT
Description of problem: When setting up OpenSCAP, the RPM installation adds in the default content from the scap-security-guide. However, as it is not associated with any organization, the end user has to switch to 'Any Context' to see it, which is confusing. 


Version-Release number of selected component (if applicable):
openscap-1.2.4-1.el7sat.x86_64
openscap-scanner-1.2.4-1.el7sat.x86_64
puppet-foreman_scap_client-0.3.3-9.el7sat.noarch
ruby193-rubygem-foreman_openscap-0.3.2.10-1.el7sat.noarch
ruby193-rubygem-openscap-0.4.2-2.el7sat.noarch
ruby193-rubygem-scaptimony-0.3.0.1-1.el7sat.noarch
rubygem-smart_proxy_openscap-0.3.0.9-1.el7sat.noarch
scap-security-guide-0.1.19-2.el7.noarch


How reproducible:
100%

Steps to Reproduce:
1.Install the SCAP components; 
yum install ruby193-rubygem-foreman_openscap -y

2. Restart Apache
service httpd restart

3. Go to hosts->SCAP Contents

Actual results:
SCAP content is not shown if your context is not 'Any Context. 

Expected results:

It is the end-users expectation that if they installed the SCAP components, they'd want to use them. As such, this BZ requests that the SCAP content is associated with all organizations that are present on the Satellite at the time the SCAP plugin is enabled. 


Additional info:
Comment 1 Shlomi Zadok 2015-09-09 06:35:15 EDT
Created redmine issue http://projects.theforeman.org/issues/11744 from this bug
Comment 2 Shlomi Zadok 2015-09-09 06:51:28 EDT
Proposed fix: https://github.com/theforeman/foreman_openscap/pull/127
Comment 4 Bryan Kearney 2015-09-14 06:05:37 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/11744 has been closed
Comment 7 Kedar Bidarkar 2016-03-31 15:24:01 EDT
For Sat6.2, after doing the below steps the OpenSCAP content can be seen associated with "Default Organization".

a) Installing foreman-rake foreman_openscap:bulk_upload:default
b) Restarting smart-proxy service
c) capsule feature-refresh
d) foreman-rake foreman_openscap:bulk_upload:default


VERIFIED With Sat62-snap6
Comment 9 errata-xmlrpc 2016-07-27 05:18:45 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501

Note You need to log in before you can comment on or make changes to this bug.